package com.dcsoft.system.kq.service;


import com.dcsoft.system.kq.domain.KqClassesItem;

import java.util.List;

/**
 * 考勤班次Service接口
 *
 * @author dcsoft
 * @date 2023-01-09
 */
public interface IKqClassesItemService
{
    /**
     * 查询考勤班次
     *
     * @param itemId 考勤班次主键
     * @return 考勤班次
     */
    public KqClassesItem selectKqClassesItemByItemId(Long itemId);

    /**
     * 查询考勤班次列表
     *
     * @param kqClassesItem 考勤班次
     * @return 考勤班次集合
     */
    public List<KqClassesItem> selectKqClassesItemList(KqClassesItem kqClassesItem);

    /**
     * 新增考勤班次
     *
     * @param kqClassesItem 考勤班次
     * @return 结果
     */
    public int insertKqClassesItem(KqClassesItem kqClassesItem);

    /**
     * 修改考勤班次
     *
     * @param kqClassesItem 考勤班次
     * @return 结果
     */
    public int updateKqClassesItem(KqClassesItem kqClassesItem);

    /**
     * 批量删除考勤班次
     *
     * @param itemIds 需要删除的考勤班次主键集合
     * @return 结果
     */
    public int deleteKqClassesItemByItemIds(Long[] itemIds);

    /**
     * 删除考勤班次信息
     *
     * @param itemId 考勤班次主键
     * @return 结果
     */
    public int deleteKqClassesItemByItemId(Long itemId);

    public int deleteKqClassesItemByClassesId(Long classesId);
}
